Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security
Interface IPerson

All Superinterfaces:
  IAdditionalDescriptor, IBasicEntity, java.io.Serializable

All Known Implementing Classes:
  PersonImpl, RDBMUserLayoutStore.SystemUser, RestrictedPerson

    public interface IPerson

extends IAdditionalDescriptor, IBasicEntity, java.io.Serializable

Version:
  $Revision: 1.14 $
Author:
  Bernie Durfee, bdurfee@interactivebusiness.com

Field Summary
`static java.lang.String` | `USERNAME`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String key)` Gets an attribute associated with the user
`java.util.Enumeration` | `getAttributeNames()` Returns the names of all of the attributes stored for the user
`java.util.Enumeration` | `getAttributes()` Gets all of the attributes associated with the user
`java.lang.Object[]` | `getAttributeValues(java.lang.String key)` Gets multiple values of an attribute associated with the user
`java.lang.String` | `getFullName()` Gets the full name of the user
`int` | `getID()` Gets the ID of the user
`ISecurityContext` | `getSecurityContext()` Gets the security context object associated with the user
`boolean` | `isGuest()` Checks to see if this user is considered a guest
`void` | `setAttribute(java.lang.String key, java.lang.Object value)` Associates an attribute with the user
`void` | `setAttributes(java.util.Map attrs)` Associates attributes with the user
`void` | `setFullName(java.lang.String sFullName)` Sets the full name of the user
`void` | `setID(int sID)` Sets the ID of the user
`void` | `setSecurityContext(ISecurityContext securityContext)` Associates a security context object with the user

Methods inherited from interface org.jasig.portal.IBasicEntity
`getEntityIdentifier`

Field Detail

### USERNAME

    static final java.lang.String USERNAME

See Also:
  Constant Field Values

Method Detail

### setID

    void setID(int sID)

  Sets the ID of the user

  Parameters:
    `sID` -

### getID

    int getID()

  Gets the ID of the user

  Returns:
    ID of the user

### setFullName

    void setFullName(java.lang.String sFullName)

  Sets the full name of the user

  Parameters:
    `sFullName` -

### getFullName

    java.lang.String getFullName()

  Gets the full name of the user

  Returns:
    full name of the user

### getAttribute

    java.lang.Object getAttribute(java.lang.String key)

  Gets an attribute associated with the user

  Parameters:
    `key` -
  Returns:
    attribute associated with the user

### getAttributeValues

    java.lang.Object[] getAttributeValues(java.lang.String key)

  Gets multiple values of an attribute associated with the user

  Parameters:
    `key` -
  Returns:
    attributes associated with the user

### setAttribute

    void setAttribute(java.lang.String key,
                      java.lang.Object value)

  Associates an attribute with the user

  Parameters:
    `key` -
    `value` -

### setAttributes

    void setAttributes(java.util.Map attrs)

  Associates attributes with the user

  Parameters:
    `attrs` -

### getAttributes

    java.util.Enumeration getAttributes()

  Gets all of the attributes associated with the user

  Returns:
    all of the attributes associated with the user

### getAttributeNames

    java.util.Enumeration getAttributeNames()

  Returns the names of all of the attributes stored for the user

  Returns:
    names of all of the attributes stored for the user

### setSecurityContext

    void setSecurityContext(ISecurityContext securityContext)

  Associates a security context object with the user

  Parameters:
    `securityContext` -

### getSecurityContext

    ISecurityContext getSecurityContext()

  Gets the security context object associated with the user

  Returns:
    security context object associated with the user

### isGuest

    boolean isGuest()

  Checks to see if this user is considered a guest

  Returns:
    true if user is considered a guest

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD